Subject: bug#8256: widget-complete does not complete for type 'directory on w32

From: Eli Zaretskii <[email-masked]>
Date: Tue, 15 Mar 2011 07:56:00 -0400

> From: Lennart Borgman <[email-masked]>
> Date: Tue, 15 Mar 2011 12:22:13 +0100
> Cc: [email-masked]
> 
> On Tue, Mar 15, 2011 at 12:17 PM, Eli Zaretskii <[email-masked]> wrote:
> >> From: Lennart Borgman <[email-masked]>
> >> Date: Tue, 15 Mar 2011 11:26:11 +0100
> >> Cc:
> >>
> >> I can not complete directories in a custom buffer for something like this:
> >>
> >> (defcustom my-dir nil
> >>   "doc"
> >>   :type 'directory)
> >>
> >> Nothing happens when I call widget-complete.
> >
> > Does ESC-TAB complete in that case?
> 
> What do you mean? I just said it didn't?

No, you said you called widget-complete, but did not say what happens
if you type ESC-TAB.

The thing is, it works for me (on Windows), at least in Emacs 23.3.